
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.*;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author xxw
 * @date 2022/6/23 9:41
 */
public class SupplierSpuVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商商品id")
    private Long supplierSpuId;

    @Schema(description = "卖点")
    private String sellingPoint;

    @Schema(description = "多语言信息列表")
    private List<SpuLangVO> spuLangList;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "商品介绍主图 多个图片逗号分隔")
    private String imgUrls;

    @Schema(description = "商品视频")
    private String video;

    @Schema(description = "计量单位")
    private String measureUnit;

    @Schema(description = "供应商spu编码")
    private String spuCode;

    @Schema(description = "规格属性")
    private List<SpuAttrValueVO> spuAttrValues;

    @Schema(description = "sku列表")
    private List<SkuVO> skus;

    @Schema(description = "供应商平台分类信息")
    private CategoryVO category;

    @Schema(description = "分类ID")
    private Long categoryId;

    @Schema(description = "店铺分类ID")
    private Long shopCategoryId;

    @Schema(description = "店铺分类信息")
    private CategoryVO shopCategory;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "品牌信息")
    private BrandVO brand;

    @Schema(description = "品牌ID")
    private Long brandId;

    @Schema(description = "商品详情")
    private String detail;

    @Schema(description = "商品详情列表")
    private List<SpuDetailVO> detailList;

    @Schema(description = "sku是否含有图片 0无 1有")
    private Integer hasSkuImg;

    public Integer getHasSkuImg() {
        return hasSkuImg;
    }

    public void setHasSkuImg(Integer hasSkuImg) {
        this.hasSkuImg = hasSkuImg;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public List<SpuDetailVO> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<SpuDetailVO> detailList) {
        this.detailList = detailList;
    }

    public BrandVO getBrand() {
        return brand;
    }

    public void setBrand(BrandVO brand) {
        this.brand = brand;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public List<SpuLangVO> getSpuLangList() {
        return spuLangList;
    }

    public void setSpuLangList(List<SpuLangVO> spuLangList) {
        this.spuLangList = spuLangList;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public CategoryVO getShopCategory() {
        return shopCategory;
    }

    public void setShopCategory(CategoryVO shopCategory) {
        this.shopCategory = shopCategory;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getShopCategoryId() {
        return shopCategoryId;
    }

    public void setShopCategoryId(Long shopCategoryId) {
        this.shopCategoryId = shopCategoryId;
    }

    public Long getSupplierSpuId() {
        return supplierSpuId;
    }

    public void setSupplierSpuId(Long supplierSpuId) {
        this.supplierSpuId = supplierSpuId;
    }

    public String getSellingPoint() {
        return sellingPoint;
    }

    public void setSellingPoint(String sellingPoint) {
        this.sellingPoint = sellingPoint;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getImgUrls() {
        return imgUrls;
    }

    public void setImgUrls(String imgUrls) {
        this.imgUrls = imgUrls;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getMeasureUnit() {
        return measureUnit;
    }

    public void setMeasureUnit(String measureUnit) {
        this.measureUnit = measureUnit;
    }

    public String getSpuCode() {
        return spuCode;
    }

    public void setSpuCode(String spuCode) {
        this.spuCode = spuCode;
    }

    public List<SpuAttrValueVO> getSpuAttrValues() {
        return spuAttrValues;
    }

    public void setSpuAttrValues(List<SpuAttrValueVO> spuAttrValues) {
        this.spuAttrValues = spuAttrValues;
    }

    public List<SkuVO> getSkus() {
        return skus;
    }

    public void setSkus(List<SkuVO> skus) {
        this.skus = skus;
    }

    public CategoryVO getCategory() {
        return category;
    }

    public void setCategory(CategoryVO category) {
        this.category = category;
    }

    @Override
    public String toString() {
        return "SupplierSpuVo{" +
                "supplierSpuId=" + supplierSpuId +
                ", sellingPoint='" + sellingPoint + '\'' +
                ", spuLangList=" + spuLangList +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", imgUrls='" + imgUrls + '\'' +
                ", video='" + video + '\'' +
                ", measureUnit='" + measureUnit + '\'' +
                ", spuCode='" + spuCode + '\'' +
                ", spuAttrValues=" + spuAttrValues +
                ", skus=" + skus +
                ", category=" + category +
                ", categoryId=" + categoryId +
                ", shopCategoryId=" + shopCategoryId +
                ", shopCategory=" + shopCategory +
                ", supplierId=" + supplierId +
                ", brand=" + brand +
                ", brandId=" + brandId +
                ", detail='" + detail + '\'' +
                ", detailList=" + detailList +
                ", hasSkuImg=" + hasSkuImg +
                '}';
    }
}
